Name: H5Pget_sieve_buf_size
Signature:
  herr_t `H5Pget_sieve_buf_size`( hid_t `fapl_id`, hsize_t *`size` )
Purpose:
  Returns maximum data sieve buffer size.
Description:
  `H5Pget_sieve_buf_size` retrieves, `size`, the current maximum size of the data sieve buffer.

  This value is set by H5Pset_sieve_buf_size and is retrieved from the file access property list `fapl_id`.

Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
hsize_t *`size` | IN: Maximum size, in bytes, of data sieve buffer.

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value.
Fortran90 Interface: h5pget_sieve_buf_size_f

      SUBROUTINE h5pget_sieve_buf_size_f(plist_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plist_id ! File access property list
                                               ! identifier
        INTEGER(SIZE_T), INTENT(OUT) :: size   ! Sieve buffer size
        INTEGER, INTENT(OUT)       :: hdferr   ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_sieve_buf_size_f

History:

Release | C
1.6.0 | The `size` parameter has changed from type hsize_t to size_t.
1.4.0 | Function introduced in this release.